# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateInvoiceRequest(JDCloudRequest):
    """
    创建发票
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(CreateInvoiceRequest, self).__init__(
            '/regions/{regionId}/invoice', 'POST', header, version)
        self.parameters = parameters


class CreateInvoiceParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域编码，参考OpenAPI公共说明
        """

        self.regionId = regionId
        self.orderIds = None
        self.deductOrderIds = None
        self.mediumType = None
        self.createInvoiceType = None
        self.invoiceAll = None
        self.orderStartTime = None
        self.orderEndTime = None
        self.monthGroups = None
        self.amount = None

    def setOrderIds(self, orderIds):
        """
        :param orderIds: (Optional) 需要开票的订单号列表，以逗号分隔
        """
        self.orderIds = orderIds

    def setDeductOrderIds(self, deductOrderIds):
        """
        :param deductOrderIds: (Optional) 抵扣单据单号列表，以逗号分隔
        """
        self.deductOrderIds = deductOrderIds

    def setMediumType(self, mediumType):
        """
        :param mediumType: (Optional) 发票类型[电子-electronic]
        """
        self.mediumType = mediumType

    def setCreateInvoiceType(self, createInvoiceType):
        """
        :param createInvoiceType: (Optional) 开票类型[按明细开票-consume，按月账单开票-month，指定金额开票-money(mediumType=paper生效)]
        """
        self.createInvoiceType = createInvoiceType

    def setInvoiceAll(self, invoiceAll):
        """
        :param invoiceAll: (Optional) 是否全部开票[全部开票-1 不需要传orderIds 需要传 开始、结束时间]
        """
        self.invoiceAll = invoiceAll

    def setOrderStartTime(self, orderStartTime):
        """
        :param orderStartTime: (Optional) 开票订单的开始时间(开票标识为 全部开票 时不需要传)
        """
        self.orderStartTime = orderStartTime

    def setOrderEndTime(self, orderEndTime):
        """
        :param orderEndTime: (Optional) 开票订单的结束时间(开票标识为 全部开票 时不需要传)
        """
        self.orderEndTime = orderEndTime

    def setMonthGroups(self, monthGroups):
        """
        :param monthGroups: (Optional) 开票月份 仅按月账单开票生效 例（202407,202406）多个月份用逗号分隔
        """
        self.monthGroups = monthGroups

    def setAmount(self, amount):
        """
        :param amount: (Optional) 指定金额开票时 传入金额 开票类型=money时必传
        """
        self.amount = amount

