# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateInvoiceTemplateRequest(JDCloudRequest):
    """
    设置发票信息抬头
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(CreateInvoiceTemplateRequest, self).__init__(
            '/regions/{regionId}/invoiceTemplate', 'POST', header, version)
        self.parameters = parameters


class CreateInvoiceTemplateParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 
        """

        self.regionId = regionId
        self.invoiceType = None
        self.invoiceTitle = None
        self.invoiceContent = None
        self.taxId = None
        self.company = None
        self.phone = None
        self.bank = None
        self.account = None
        self.address = None
        self.email = None
        self.mediumType = None

    def setInvoiceType(self, invoiceType):
        """
        :param invoiceType: (Optional) 发票类型:[个人增值税普通发票-Personal_VAT_Ordinary_Invoice,企业增值税专用发票-Enterprise_VAT_Special_Invoice,企业增值税普通发票-Enterprise_VAT_Ordinary_Invoice]
        """
        self.invoiceType = invoiceType

    def setInvoiceTitle(self, invoiceTitle):
        """
        :param invoiceTitle: (Optional) 发票抬头
        """
        self.invoiceTitle = invoiceTitle

    def setInvoiceContent(self, invoiceContent):
        """
        :param invoiceContent: (Optional) 开票内容（按类别开票/按明细开票）
        """
        self.invoiceContent = invoiceContent

    def setTaxId(self, taxId):
        """
        :param taxId: (Optional) 纳税人识别码（发票类型为企业增值税专用发票和企业增值税普通发票时必填）
        """
        self.taxId = taxId

    def setCompany(self, company):
        """
        :param company: (Optional) 单位名称（发票类型为企业增值税专用发票时必填）
        """
        self.company = company

    def setPhone(self, phone):
        """
        :param phone: (Optional) 注册电话（发票类型为个人增值税普通发票和企业增值税普通发票时作为收票人手机号）
        """
        self.phone = phone

    def setBank(self, bank):
        """
        :param bank: (Optional) 开户银行（发票类型为企业增值税专用发票时必填）
        """
        self.bank = bank

    def setAccount(self, account):
        """
        :param account: (Optional) 银行账户（发票类型为企业增值税专用发票时必填）
        """
        self.account = account

    def setAddress(self, address):
        """
        :param address: (Optional) 注册地址（发票类型为企业增值税专用发票时必填）
        """
        self.address = address

    def setEmail(self, email):
        """
        :param email: (Optional) 邮箱
        """
        self.email = email

    def setMediumType(self, mediumType):
        """
        :param mediumType: (Optional) [电子-electronic]
        """
        self.mediumType = mediumType

