# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeInvoiceRequest(JDCloudRequest):
    """
    发票详情
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeInvoiceRequest, self).__init__(
            '/regions/{regionId}/invoice/{invoiceNumber}', 'GET', header, version)
        self.parameters = parameters


class DescribeInvoiceParameters(object):

    def __init__(self,regionId, invoiceNumber, pageIndex, pageSize, ):
        """
        :param regionId: 地域编码，参考OpenAPI公共说明
        :param invoiceNumber: 发票申请单号
        :param pageIndex: 页码(默认1)
        :param pageSize: 每页展示数据量(默认：20)
        """

        self.regionId = regionId
        self.invoiceNumber = invoiceNumber
        self.pageIndex = pageIndex
        self.pageSize = pageSize
        self.invoiceType = None
        self.pin = None

    def setInvoiceType(self, invoiceType):
        """
        :param invoiceType: (Optional) 发票类型 1详情 2按月
        """
        self.invoiceType = invoiceType

    def setPin(self, pin):
        """
        :param pin: (Optional) 用户pin
        """
        self.pin = pin

