# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeInvoicesRequest(JDCloudRequest):
    """
    发票列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeInvoicesRequest, self).__init__(
            '/regions/{regionId}/invoices', 'POST', header, version)
        self.parameters = parameters


class DescribeInvoicesParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域编码，参考OpenAPI公共说明
        """

        self.regionId = regionId
        self.status = None
        self.searchStartDate = None
        self.searchEndDate = None
        self.pageNumber = None
        self.pageSize = None
        self.invoiceType = None

    def setStatus(self, status):
        """
        :param status: (Optional) 发票状态[已申请-applied ，处理中-processing ，已开票-invoiced ，已邮寄-mailed ，已驳回-dismissed ，已作废-obsolete ，已取消-cancelled，退票中-refund，已退票-refunded，退票驳回-refund_rejected]
        """
        self.status = status

    def setSearchStartDate(self, searchStartDate):
        """
        :param searchStartDate: (Optional) 开始时间
        """
        self.searchStartDate = searchStartDate

    def setSearchEndDate(self, searchEndDate):
        """
        :param searchEndDate: (Optional) 结束时间
        """
        self.searchEndDate = searchEndDate

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页大小
        """
        self.pageSize = pageSize

    def setInvoiceType(self, invoiceType):
        """
        :param invoiceType: (Optional) 按明细开票 1 按月结算单开票 2 按指定金额开票 3
        """
        self.invoiceType = invoiceType

