# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetInvoicePreviewRequest(JDCloudRequest):
    """
    发票预览信息
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GetInvoicePreviewRequest, self).__init__(
            '/regions/{regionId}/getInvoicePreview', 'POST', header, version)
        self.parameters = parameters


class GetInvoicePreviewParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域编码，参考OpenAPI公共说明
        """

        self.regionId = regionId
        self.pin = None
        self.orderIds = None
        self.deductInfoList = None
        self.amount = None
        self.monthGroups = None
        self.mediumType = None
        self.invoiceAll = None
        self.orderStartTime = None
        self.orderEndTime = None

    def setPin(self, pin):
        """
        :param pin: (Optional) 用户pin
        """
        self.pin = pin

    def setOrderIds(self, orderIds):
        """
        :param orderIds: (Optional) 订单号 多个用逗号,分开
        """
        self.orderIds = orderIds

    def setDeductInfoList(self, deductInfoList):
        """
        :param deductInfoList: (Optional) 欠票抵扣的订单信息
        """
        self.deductInfoList = deductInfoList

    def setAmount(self, amount):
        """
        :param amount: (Optional) 指定开票金额
        """
        self.amount = amount

    def setMonthGroups(self, monthGroups):
        """
        :param monthGroups: (Optional) 开票月份 仅按月开票生效
        """
        self.monthGroups = monthGroups

    def setMediumType(self, mediumType):
        """
        :param mediumType: (Optional) 发票类型[电子-electronic, 数电-digital]
        """
        self.mediumType = mediumType

    def setInvoiceAll(self, invoiceAll):
        """
        :param invoiceAll: (Optional) 全部开票标识 1-全部开票 全部开票, 不需要传orderIds 需要传 开始、结束时间
        """
        self.invoiceAll = invoiceAll

    def setOrderStartTime(self, orderStartTime):
        """
        :param orderStartTime: (Optional) 开票订单的开始时间(yyyy-MM-dd HH:mm:ss)
        """
        self.orderStartTime = orderStartTime

    def setOrderEndTime(self, orderEndTime):
        """
        :param orderEndTime: (Optional) 开票订单的结束时间(yyyy-MM-dd HH:mm:ss)
        """
        self.orderEndTime = orderEndTime

