# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class LogSearchIdRequest(JDCloudRequest):
    """
    获取满足条件的查询id
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(LogSearchIdRequest, self).__init__(
            '/logSearchId', 'POST', header, version)
        self.parameters = parameters


class LogSearchIdParameters(object):

    def __init__(self,):
        """
        """

        self.pin = None
        self.apps = None
        self.keyword = None
        self.exclude = None
        self.hosts = None
        self.filePaths = None
        self.logLevel = None
        self.thread = None
        self.clazz = None
        self.limit = None
        self.startTime = None
        self.endTime = None
        self.timeUnit = None
        self.searchType = None
        self.instanceName = None
        self.productName = None
        self.logTypeName = None
        self.chunks = None
        self.direction = None
        self.searchId = None
        self.searchIndex = None
        self.searchEndTime = None
        self.lifecycle = None
        self.querySql = None
        self.indexParams = None

    def setPin(self, pin):
        """
        :param pin: (Optional) 租户信息
        """
        self.pin = pin

    def setApps(self, apps):
        """
        :param apps: (Optional) 搜索应用
        """
        self.apps = apps

    def setKeyword(self, keyword):
        """
        :param keyword: (Optional) 搜索关键字
        """
        self.keyword = keyword

    def setExclude(self, exclude):
        """
        :param exclude: (Optional) 排除关键字
        """
        self.exclude = exclude

    def setHosts(self, hosts):
        """
        :param hosts: (Optional) 查询机器
        """
        self.hosts = hosts

    def setFilePaths(self, filePaths):
        """
        :param filePaths: (Optional) 日志路径
        """
        self.filePaths = filePaths

    def setLogLevel(self, logLevel):
        """
        :param logLevel: (Optional) 日志等级，枚举类型取值为：DEBUG,INFO,WARN,ERROR,FATAL,ALL,UNKNOWN
        """
        self.logLevel = logLevel

    def setThread(self, thread):
        """
        :param thread: (Optional) 线程
        """
        self.thread = thread

    def setClazz(self, clazz):
        """
        :param clazz: (Optional) 类名
        """
        self.clazz = clazz

    def setLimit(self, limit):
        """
        :param limit: (Optional) 限制条数
        """
        self.limit = limit

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 开始时间
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 结束时间
        """
        self.endTime = endTime

    def setTimeUnit(self, timeUnit):
        """
        :param timeUnit: (Optional) 查询时间单位，枚举类型取值为：NANOSECONDS,MICROSECONDS,SECONDS,MINUTES,DAYS
        """
        self.timeUnit = timeUnit

    def setSearchType(self, searchType):
        """
        :param searchType: (Optional) 搜索类型：regular、exact
        """
        self.searchType = searchType

    def setInstanceName(self, instanceName):
        """
        :param instanceName: (Optional) 应用名
        """
        self.instanceName = instanceName

    def setProductName(self, productName):
        """
        :param productName: (Optional) 产品名
        """
        self.productName = productName

    def setLogTypeName(self, logTypeName):
        """
        :param logTypeName: (Optional) 日志类型名称
        """
        self.logTypeName = logTypeName

    def setChunks(self, chunks):
        """
        :param chunks: (Optional) chunks
        """
        self.chunks = chunks

    def setDirection(self, direction):
        """
        :param direction: (Optional) 匹配方向
        """
        self.direction = direction

    def setSearchId(self, searchId):
        """
        :param searchId: (Optional) 查询id
        """
        self.searchId = searchId

    def setSearchIndex(self, searchIndex):
        """
        :param searchIndex: (Optional) 检索index
        """
        self.searchIndex = searchIndex

    def setSearchEndTime(self, searchEndTime):
        """
        :param searchEndTime: (Optional) searchEndTime
        """
        self.searchEndTime = searchEndTime

    def setLifecycle(self, lifecycle):
        """
        :param lifecycle: (Optional) lifecycle
        """
        self.lifecycle = lifecycle

    def setQuerySql(self, querySql):
        """
        :param querySql: (Optional) 查询sql
        """
        self.querySql = querySql

    def setIndexParams(self, indexParams):
        """
        :param indexParams: (Optional) 索引参数列表，map类型，key必须是string类型，value可自定义
        """
        self.indexParams = indexParams

