# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class BinlogSpec(object):

    def __init__(self, includeTables, addr=None, binlogFile=None, binlogPos=None, charset=None, enableDDL=None, enableDelete=None, enableInsert=None, enableUpdate=None, excludeTables=None, flavor=None, inOrder=None, pass=None, port=None, professionalMode=None, serverID=None, textToString=None, user=None):
        """
        :param addr: (Optional) 地址
        :param binlogFile: (Optional) 首次采集的Binlog文件名。不设置时，默认从当前时间点开始采集。
        :param binlogPos: (Optional) 首次采集的Binlog文件的偏移量，不设置时，默认为0。
        :param charset: (Optional) 字符集
        :param enableDDL: (Optional) 是否记录DDL事件
        :param enableDelete: (Optional) 是否记录删除事件
        :param enableInsert: (Optional) 是否记录insert事件
        :param enableUpdate: (Optional) 是否记录更新事件
        :param excludeTables: (Optional) 忽略的表名称（包括db，例如：my_db.my_table），可配置为正则表达式。如果某个表符合ExcludeTables中的任一条件则该表不会被采集。不设置时默认收集所有表。
        :param flavor: (Optional) mysql
        :param inOrder: (Optional) 保序
        :param includeTables:  包含的表名称（包括db，例如：my_db.my_table），可配置为正则表达式。如果某个表不符合IncludeTables中的任一条件则该表不会被采集。如果您希望采集所有表，请将此参数设置为.*\\..*。
        :param pass: (Optional) 密码
        :param port: (Optional) 端口
        :param professionalMode: (Optional) 是否开启高级配置--内部字段，供前端使用。
        :param serverID: (Optional) agent伪装成的Mysql Slave的ID。不配置时，默认为125。
        :param textToString: (Optional) 是否将text类型的数据转换成字符串。不设置时，默认为false，表示不转换。
        :param user: (Optional) 用户名
        """

        self.addr = addr
        self.binlogFile = binlogFile
        self.binlogPos = binlogPos
        self.charset = charset
        self.enableDDL = enableDDL
        self.enableDelete = enableDelete
        self.enableInsert = enableInsert
        self.enableUpdate = enableUpdate
        self.excludeTables = excludeTables
        self.flavor = flavor
        self.inOrder = inOrder
        self.includeTables = includeTables
        self.pass = pass
        self.port = port
        self.professionalMode = professionalMode
        self.serverID = serverID
        self.textToString = textToString
        self.user = user
