# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class OpListIncomeSummaryResp(object):

    def __init__(self, id=None, dataSourceId=None, opType=None, pin=None, serviceCode=None, billingType=None, startTime=None, endTime=None, billTime=None, billFee=None, actualFee=None, discountFee=None, amountType=None, payCurrency=None, taxRate=None, payState=None, payTime=None, orgId=None, orgName=None, orderType=None, billType=None, origDataSourceId=None, salesContractNumber=None, salesContractStatus=None, region=None, formulaDesc=None, ebsResultCode=None, ebsResultMessage=None, billResultCode=None, billResultMessage=None, ebsPush=None, billPush=None):
        """
        :param id: (Optional) 主键id
        :param dataSourceId: (Optional) 账单id
        :param opType: (Optional) 操作类型，1、新增，2、更新
        :param pin: (Optional) 用户pin
        :param serviceCode: (Optional) 产品serviceCode
        :param billingType: (Optional) 计费类型，1、按配置，2、按用量，3、包年包月，4、一次性
        :param startTime: (Optional) 计费开始时间（格式：yyyy-MM-dd HH:mm:ss）
        :param endTime: (Optional) 计费结束时间（格式：yyyy-MM-dd HH:mm:ss）
        :param billTime: (Optional) 账期（格式：yyyy-MM-dd HH:mm:ss）
        :param billFee: (Optional) 原价，保留6位小数
        :param actualFee: (Optional) 实际价格 应付金额，保留2位小数
        :param discountFee: (Optional) 折扣金额，保留2位小数
        :param amountType: (Optional) 金额类型，5:电汇
        :param payCurrency: (Optional) 币种
        :param taxRate: (Optional) 税率
        :param payState: (Optional) 支付状态，0：未支付、1：已支付
        :param payTime: (Optional) 支付时间，必传（格式：yyyy-MM-dd HH:mm:ss）
        :param orgId: (Optional) 线下签合同的主体id
        :param orgName: (Optional) 线下签合同的主体名称
        :param orderType: (Optional) 1-新购，2-续费，3-配置变更，4-退款，42-降配延时 47-包年包月转换配置、用量
        :param billType: (Optional) 账单类型，1-正常账单，2-退款账单，3-调账账单，4-保底账单
        :param origDataSourceId: (Optional) 调整账单需要原始账单ID
        :param salesContractNumber: (Optional) 销售合同编号
        :param salesContractStatus: (Optional) 销售合同状态 1、草稿，2、审批中，3、审批驳回，4、EBS审批中，5、待用印、6、待签订，7、签订中，8、已签订，9、不签订，11、已失效
        :param region: (Optional) 地域，如cn-north-1，不可修改
        :param formulaDesc: (Optional) 配置描述（备注）
        :param ebsResultCode: (Optional) 计提推送结果code
        :param ebsResultMessage: (Optional) 计提推送结果message
        :param billResultCode: (Optional) 账单推送结果code
        :param billResultMessage: (Optional) 账单推送结果message
        :param ebsPush: (Optional) 是否推计提
        :param billPush: (Optional) 是否推账单
        """

        self.id = id
        self.dataSourceId = dataSourceId
        self.opType = opType
        self.pin = pin
        self.serviceCode = serviceCode
        self.billingType = billingType
        self.startTime = startTime
        self.endTime = endTime
        self.billTime = billTime
        self.billFee = billFee
        self.actualFee = actualFee
        self.discountFee = discountFee
        self.amountType = amountType
        self.payCurrency = payCurrency
        self.taxRate = taxRate
        self.payState = payState
        self.payTime = payTime
        self.orgId = orgId
        self.orgName = orgName
        self.orderType = orderType
        self.billType = billType
        self.origDataSourceId = origDataSourceId
        self.salesContractNumber = salesContractNumber
        self.salesContractStatus = salesContractStatus
        self.region = region
        self.formulaDesc = formulaDesc
        self.ebsResultCode = ebsResultCode
        self.ebsResultMessage = ebsResultMessage
        self.billResultCode = billResultCode
        self.billResultMessage = billResultMessage
        self.ebsPush = ebsPush
        self.billPush = billPush
