# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyInstanceReleaseTimeRequest(JDCloudRequest):
    """
    更改云主机定时删除信息。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyInstanceReleaseTimeRequest, self).__init__(
            '/regions/{regionId}/instances:modifyInstanceReleaseTime', 'POST', header, version)
        self.parameters = parameters


class ModifyInstanceReleaseTimeParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域ID。
        """

        self.regionId = regionId
        self.instanceIds = None
        self.autoReleaseTime = None

    def setInstanceIds(self, instanceIds):
        """
        :param instanceIds: (Optional) 需要更改定时删除信息的云主机id列表。

        """
        self.instanceIds = instanceIds

    def setAutoReleaseTime(self, autoReleaseTime):
        """
        :param autoReleaseTime: (Optional) ｜ 为云主机设置或修改定时删除时间，如果为空，若云主机存在定时删除任务，则取消其定时删除任务。 支持的时间范围为当前时间+1小时至当前时间+10年。示例："2025-01-01 00:00:00"
        """
        self.autoReleaseTime = autoReleaseTime

